/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 07/03/2025

es5B: Scrivere una funzione che ricevuta in input una stringa
str, duplichi le occorrenze di ogni carattere alfabetico.
Prototipo richiesto:
	char *dupalphas(char * const str);
Esempio:
	"12 ottobre 1492" -> "12 oottttoobbrree 1492"
*/

#include <iostream>
#include <cstring>

#define SIZE 100+1

using namespace std;

char *dupalphas(char * const str);

int main(void) {
	char str[SIZE];
	
	cin.getline(str, SIZE);
	
	cout << dupalphas(str);
	
	return 0;
}

char *dupalphas(char * const str) {
	for (int i = 0; str[i] != '\0'; i++) {
		if (isalpha(str[i])) {
			memmove(str + i + 1, str + i, strlen(str) + 1);
			i++;
		}
	}
	
	return str;
}